group 'com.persagy.server'
version '2.0.10'

buildscript {
    repositories {
        maven{url "http://47.93.132.139:8081/nexus/content/repositories/persagy/"}
        maven{url MAVEN_REPO_PUBLIC_URL}
        maven{url "http://maven.aliyun.com/nexus/content/groups/public/"}
        mavenCentral()
        jcenter()
    }
    dependencies {
        classpath group: 'org.springframework.boot', name: 'spring-boot-gradle-plugin', version: SPRING_BOOT_VERSION
        classpath group: 'org.jetbrains.kotlin', name: 'kotlin-gradle-plugin', version: KOTLIN_VERSION
        classpath group: 'org.jetbrains.dokka', name: 'dokka-gradle-plugin', version: DOKKA_VERSION
        classpath group: 'com.google.protobuf', name: 'protobuf-gradle-plugin', version: PROTOBUF_GRADLE_VERSION
        // ssh插件, 用于部署
        classpath 'org.hidetake:gradle-ssh-plugin:2.10.1'
        classpath 'org.geotools:gt-main:25.2'
    }
}

allprojects {
    repositories {
        maven{url "http://47.93.132.139:8081/nexus/content/repositories/persagy/"}
        maven{ url "http://maven.aliyun.com/nexus/content/groups/public/"}
        maven{
            url MAVEN_REPO_PUBLIC_URL
            credentials {
                username = NEXUS_USERNAME
                password = NEXUS_PASSWORD
            }
        }
        maven { url "https://repo.spring.io/milestone" }
        mavenCentral()
        jcenter()
    }
    tasks.withType(Javadoc) {
        options{ encoding "UTF-8"
            charSet "UTF-8"
            links "http://docs.oracle.com/javase/8/docs/api"
        }
    }
}
